/**
 *
 * xpt -- An X Periodic Table
 *
 * init.c -- initialize the colors needed
 *
 * Written by Joel P. Lord 03/05/93
 *
 *    This software is available for free distribution,
 * under the condition that this not be removed from the
 * source code.
 *
**/


#include "xpt.h"

unsigned long GetNumColor();

init_colors()
{
  default_cmap = DefaultColormap(p_disp, DefaultScreen(p_disp));

/* Original colors were NavyBlue, white, red and slategrey */

  mbgpix = GetColors("lightgrey", default_cmap, BP);
  mfgpix = GetColors("black", default_cmap, WP);
  bcol = GetColors("sandy brown", default_cmap, WP);
  noble = GetColors("lime green", default_cmap, WP);
  nonmetal = GetColors("green", default_cmap, WP);
  semimetal = GetColors("cyan", default_cmap, WP);
  lantanide = GetNumColor(0x88a6c8, default_cmap,WP);
  actinide = GetNumColor(0x7896b8, default_cmap,WP);
  alkali = GetColors("tan", default_cmap, WP);
  earthalkali = GetNumColor(0xbcb6c8, default_cmap,WP);
  metal = GetNumColor(0x63b8ff, default_cmap, WP);
  red = GetColors("red", default_cmap, WP);
  white = mfgpix;
  slate_grey = GetColors("light slate grey", default_cmap, BP);
}

unsigned long GetNumColor(num, cmap, def)
unsigned long num;
Colormap cmap;
unsigned long def;
{
  XColor color;
  unsigned long retval;

  color.pixel = num;
  color.red = ((num >> 16) * 256);
  color.green = ((num >> 8) & 0xFF) * 256;
  color.blue = (num & 0xFF) * 256;
  color.flags = DoBlue | DoGreen | DoRed;

  if (XAllocColor(p_disp, cmap, &color) == 0)
    retval = def;
  else
    retval = color.pixel;

  return retval;
}
